## gate.util
Class OptionsMap

    java.lang.Object
      |
      +--java.util.AbstractMap
            |
            +--java.util.HashMap
                  |
                  +--gate.util.OptionsMap

All Implemented Interfaces:
  Cloneable, Map, Serializable

public class OptionsMap
extends HashMap

A map that stores values as strings and provides support for converting some frequently used types to and from string

See Also:
  Serialized Form

Inner classes inherited from class java.util.Map
`Map.Entry`

Fields inherited from class java.util.HashMap
`count, emptyHashIterator, ENTRIES, entrySet, KEYS, keySet, loadFactor, modCount, serialVersionUID, table, threshold, values, VALUES`

Constructor Summary
`OptionsMap()`

Method Summary
`Boolean` `getBoolean(Object key)` If the object stored under key is a Boolean then returns its value otherwise returns null;
`Font` `getFont(Object key)` If the object stored under key is a String then returns its value otherwise returns null;
`Integer` `getInt(Object key)` If the object stored under key is an Integer then returns its value otherwise returns null;
`String` `getString(Object key)` If the object stored under key is a String then returns its value otherwise returns null;
`Object` `put(Object key, Object value)` Converts the value to string using its toString() method and then stores it

Methods inherited from class java.util.HashMap
`<clinit>, capacity, clear, clone, containsKey, containsValue, entrySet, get, getHashIterator, isEmpty, keySet, loadFactor, putAll, readObject, rehash, remove, size, values, writeObject`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, registerNatives, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### OptionsMap

    public OptionsMap()

Method Detail

### put

    public Object put(Object key,
                      Object value)

  Converts the value to string using its toString() method and then stores it
  Overrides:
    `put` in class `HashMap`

### getInt

    public Integer getInt(Object key)

  If the object stored under key is an Integer then returns its value otherwise returns null;

### getBoolean

    public Boolean getBoolean(Object key)

  If the object stored under key is a Boolean then returns its value otherwise returns null;

### getString

    public String getString(Object key)

  If the object stored under key is a String then returns its value otherwise returns null;

### getFont

    public Font getFont(Object key)

  If the object stored under key is a String then returns its value otherwise returns null;